<?php get_header(); 
$posts_for_page =get_option('page_for_posts');
$blogHeadingTemp =get_post_meta($posts_for_page,'imic_page_heading','true');
$blogTextTemp =get_post_meta($posts_for_page,'imic_page_text','true');
$blogHeading = (!empty($blogHeadingTemp)) ? $blogHeadingTemp : __('Blog','heylone') ;
$blogText = (!empty($blogTextTemp)) ?$blogTextTemp:'';
?>
<!-- Begin Blog -->
<section class="pages">
  <div class="container">
    <header class="pages-header clearfix">
      <div class="row">
        <div class="col-md-4">
          <hr class="sm">
          <h2><?php echo ''.$blogHeading; ?></h2>
        </div>
        <div class="col-md-8 title-companion"><?php echo ''.$blogText; ?></div>
      </div>
    </header>
    <div class="row">
        <?php if(is_active_sidebar('blog-sidebar')){ ?>
            <div class="col-md-9" id="content">
        <?php } else { ?>
            <div class="col-md-12" id="content">  
        <?php } ?>
      	<?php
		if (have_posts()):
			while (have_posts()):the_post();
				$customPost = get_post_custom(get_the_ID());
				$categories = get_the_category();
				$separator = ', '; $output = '';
				if($categories){
					foreach($categories as $category) {
						$output .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "%s", 'heylone'), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
					}
				}
				$format = get_post_format( get_the_ID() );
				switch($format){
					case 'image': ?>
                    <article <?php post_class('pages'); ?> id="post-<?php echo get_option('page_for_posts'); ?>">
                       <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                       <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link();  _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
                       <?php if ( has_post_thumbnail()) : the_post_thumbnail('blog_posts'); endif; ?>
                       <div class="post-content">
                       		<?php the_excerpt(); ?>
                           <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
                       </div>
                    </article>
                    <?php break;
					case 'gallery': $postGallery = (isset($customPost['imic_post_gallery'])) ? $customPost['imic_post_gallery'] : array();
									$postSlider = '';
									foreach($postGallery as $slide){
										$slideImageURL = wp_get_attachment_image_src( $slide, 'blog_posts' );
										$postSlider .= '<li class="item"><img src="' . $slideImageURL[0] . '" alt="slide1"></li>';															   
									}
					?> 
					<article <?php post_class('pages'); ?> id="post-<?php echo get_option('page_for_posts'); ?>">
						<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
					   <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link();  _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
						<ul class="adv-carousel owl-carousel single-carousel" data-columns="1" data-autoplay="yes" data-pagination="no" data-arrows="yes" data-single-item="yes">
                          <?php echo ''.$postSlider; ?>
					   </ul>
					   <div class="post-content">
                       		<?php the_excerpt(); ?>
						   <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
					   </div>
					</article>
					<?php break;
					case 'audio':$postAudio= get_post_meta(get_the_ID(),'imic_post_audio','true'); ?>
                    <article <?php post_class('pages'); ?> id="post-<?php echo get_option('page_for_posts'); ?>">
                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                       <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link();  _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
                       <?php if(!empty($postAudio)){ echo ''.$postAudio; } ?>
                       <div class="post-content">
                       		<?php the_excerpt(); ?>
                           <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
                       </div>
                    </article>
					<?php break;
					case 'video': $postVideo = get_post_meta(get_the_ID(),'imic_post_video','true'); ?>
                    <article <?php post_class('pages'); ?> id="post-<?php echo get_option('page_for_posts'); ?>">
                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                       <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link();  _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
                       <?php if(!empty($postVideo)){ echo imic_video_embed($postVideo, 500, 281); } ?>
                       <div class="post-content">
                       		<?php the_excerpt(); ?>
                           <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
                       </div>
                    </article>
                    <?php break;
					default : ?>
                    <article <?php post_class('pages'); ?> id="post-<?php echo get_option('page_for_posts'); ?>">
                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                       <span class="post-meta date"><?php _e('posted by ','heylone'); the_author_posts_link();  _e(' in ','heylone'); echo trim($output, $separator); _e(' on ','heylone'); the_time('dS M, Y'); ?></span>
                       <?php if ( has_post_thumbnail()) : the_post_thumbnail('blog_posts'); endif; ?>
                       <div class="post-content">
                       		<?php the_excerpt(); ?>
                           <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('read full post','heylone'); ?> <i class="fa  fa-angle-double-right"></i></a>
                       </div>
                    </article>
                    <?php break;
				}
			endwhile;
			the_posts_pagination( array(
				'mid_size' => 2,
				'prev_text' => __( 'Back', 'heylone' ),
				'next_text' => __( 'Onward', 'heylone' ),
			) );
		endif;
		
		pagination(); ?>
      </div>
      <?php if(is_active_sidebar('blog-sidebar')):
            echo'<div class="col-md-3" id="sidebar">';
            dynamic_sidebar('blog-sidebar');
            echo'</div>';
            endif; ?>
    </div>
  </div>
</section>
<!-- End Blog --> 
<?php get_footer(); ?>