jQuery(document).ready(function() {
	jQuery('.mandatory').hide();
	jQuery('#commentform').submit(function() {
		var author = jQuery('#author');
		var email = jQuery('#email');
		if (!validateAuthor() ||!validateEmail()) {
			validateAuthor();
			validateEmail();
			jQuery('.mandatory').show();
			return false;
		}
		else {
			jQuery('.mandatory').hide();
			return true;
		}
	   
		function validateAuthor() {
			if ((author.val().length < 4 && author.val().length > 40) || (jQuery.trim(author.val()) == "") || (jQuery.trim(author.val()) == "Your name"))
			{
				author.addClass("error_err");
				return false;
			}
			else
			{
				author.removeClass("error_err");
				return true;
			}
		}
		function IsEmail(email) {
			var regex = /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
			return regex.test(email);
		}
		function validateEmail()
		{
			if (jQuery.trim(email.val()) == "")
			{
				email.addClass("error_err");
				return false;
			}
			if (jQuery.trim(email.val()) == "Your email")
			{
				email.addClass("error_err");
				return false;
			}
			else if (!(IsEmail(email.val())))
			{
				email.addClass("error_err");
				return false;
			}
			else
			{
				email.removeClass("error_err");
				return true;
			}
		}
		
	})
});