<?php
	
	/* ==================================================
	
	Team Post Type Functions
	
	================================================== */
	add_action('init', 'core_team_register');  
	
	/**Team registration**/    
	function core_team_register() {  
	
	    $labels = array(
	        'name' => __('Team', 'heylone-core'),
	        'singular_name' => __('Team', 'heylone-core'),
	        'add_new' => __('Add New',  'heylone-core'),
	        'add_new_item' => __('Add New Team', 'heylone-core'),
	        'edit_item' => __('Edit Team', 'heylone-core'),
	        'new_item' => __('New Team', 'heylone-core'),
	        'view_item' => __('View Team', 'heylone-core'),
	        'search_items' => __('Search Team Member', 'heylone-core'),
	        'not_found' =>  __('No team member have been added yet', 'heylone-core'),
	        'not_found_in_trash' => __('Nothing found in Trash', 'heylone-core'),
	        'parent_item_colon' => ''
	    );
	
	    $args = array(  
	        'labels' => $labels,  
	        'public' => true,  
	        'show_ui' => true,
	        'show_in_menu' => true,
			'menu_icon' => 'dashicons-businessperson',
	        'show_in_nav_menus' => false, 
	        'rewrite' => false,
	        'supports' => array('title', 'thumbnail'),
	        'has_archive' => true,
	       );  
	  
	    register_post_type( 'team' , $args );  
	}  
	
	add_filter("manage_edit-team_columns", "core_team_edit_columns");   
	  
	function core_team_edit_columns($columns){  
	        $columns = array(  
	            "cb" => "<input type=\"checkbox\" />",  
	            "thumbnail" => "",
	            "title" => __("Team Member", 'heylone-core'),
	            "date" => __("Date", 'heylone-core')
	        );  
	  
	        return $columns;  
	}  
?>