<?php
	/* ==================================================
	
	Testimonials Post Type Functions
	
	================================================== */
	    
	add_action('init', 'core_testimonials_register'); 
	 
	/**Testimonial registration**/  
	function core_testimonials_register() {  
	
	    $labels = array(
	        'name' => __('Testimonials', 'heylone-core'),
	        'singular_name' => __('Testimonial', 'heylone-core'),
	        'add_new' => __('Add New', 'heylone-core'),
	        'add_new_item' => __('Add New Testimonial', 'heylone-core'),
	        'edit_item' => __('Edit Testimonial', 'heylone-core'),
	        'new_item' => __('New Testimonial', 'heylone-core'),
	        'view_item' => __('View Testimonial', 'heylone-core'),
	        'search_items' => __('Search Testimonials', 'heylone-core'),
	        'not_found' =>  __('No testimonials have been added yet', 'heylone-core'),
	        'not_found_in_trash' => __('Nothing found in Trash', 'heylone-core'),
	        'parent_item_colon' => ''
	    );
	
	    $args = array(  
	        'labels' => $labels,  
	        'public' => true,  
	        'show_ui' => true,
	        'show_in_menu' => true,
			'menu_icon' => 'dashicons-admin-comments',
	        'show_in_nav_menus' => false,
	        'rewrite' => false,
	        'supports' => array('title', 'editor', 'thumbnail'),
	        'has_archive' => true
	       );  
	  
	    register_post_type( 'testimonials' , $args );  
	}  
	
	add_filter("manage_edit-testimonials_columns", "core_testimonials_edit_columns");   
	
	function core_testimonials_edit_columns($columns){  
	        $columns = array(  
	            "cb" => "<input type=\"checkbox\" />",
				"thumbnail" => "",
	            "title" => __("Author", 'heylone-core'),
	            "description" => __("Testimonial", 'heylone-core')
	        );  
	  
	        return $columns;  
	}
?>