<?php
/*
Plugin Name: Heylone Core
Plugin URI: https://demo.imithemes.com/heylone-landing/
Description: Heylone core plugin includes all features of theme in a plugin for a better user experience.
Version: 1.4
Author: imithemes
Author URI: https://imithemes.com/
Licence:     GPLv2
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Copyright:   (c) 2024 imithemes. All rights reserved
Domain Path: /languages
Text Domain: heylone-core
*/

// Do not allow direct access to this file.
defined('ABSPATH') or die('No script kiddies please!');

define('HEYLONE_CORE__PLUGIN_PATH', plugin_dir_path(__FILE__));
define('HEYLONE_CORE__PLUGIN_URL', plugin_dir_url(__FILE__));
/* PARTIALS ATTACHMENTS
================================================== */
require_once HEYLONE_CORE__PLUGIN_PATH . 'includes.php';


/* SET LANGUAGE FILE FOLDER
=================================================== */
add_action('plugins_loaded', 'heylone_load_textdomain');
function heylone_load_textdomain()
{
    load_plugin_textdomain('heylone-core', false, basename(dirname(__FILE__)) . '/languages');
}