<?php
require_once get_template_directory() . '/framework/tgm/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'heylone_register_required_plugins' );
function heylone_register_required_plugins() {
    $plugins = array(
         array(
            'name'        			=> esc_html__('Heylone Core', 'heylone'),
            'slug'         			=> 'heylone-core',
            'source'       			=> get_template_directory_uri() . '/framework/tgm/plugins/heylone-core.zip',
            'required'       		=> false,
            'version'     			=> '1.4',
            'force_activation'		=> false,
            'force_deactivation'	=> false,
            'external_url'      	=> '',
			'type'					=> 'Required',
			'image_src'				=> get_template_directory_uri() . '/framework/tgm/images/plugin-screen-core.png',
        ),
        array(
            'name'        			=> esc_html__('Custom Twitter Feeds', 'heylone'),
            'slug'         			=> 'custom-twitter-feeds',
            'required'       		=> true,
        ),
    );
    $config = array(
		'id'			=> 'tgmpa',					// Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path'	=> '',						// Default absolute path to bundled plugins.
		'menu'			=> 'tgmpa-install-plugins',	// Menu slug.
		'parent_slug'	=> 'themes.php',			// Parent menu slug.
		'capability'	=> 'edit_theme_options',	// Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'	=> false,					// Show admin notices or not.
		'dismissable'	=> true,					// If false, a user cannot dismiss the nag message.
		'dismiss_msg'	=> '',						// If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic'	=> true,					// Automatically activate plugins after installation or not.
		'message'		=> '',						// Message to output right before the plugins table.
	);
	
	tgmpa( $plugins, $config );
	
}