<?php
/*
Template Name: Services
*/
$serviceHeading_temp = get_post_meta(get_the_ID(),'imic_page_heading','true');
$serviceHeading = (!empty($serviceHeading_temp))?$serviceHeading_temp:get_the_title() ; // Services Page Heading
$serviceText_temp = get_post_meta(get_the_ID(),'imic_page_text','true');
$serviceText = (!empty($serviceText_temp)) ?$serviceText_temp: __('Our Price List.','heylone') ; // Services Page Text
$servicePriceTable = get_post_meta(get_the_ID(),'imic_service_pt_table','true');// Services Page Price Table
?>
<!-- Begin Services -->
<section class="pages" id="<?php echo basename(get_permalink()); ?>">
  <div class="container">
    <header class="pages-header clearfix">
      <div class="row">
        <div class="col-md-4">
          <hr class="sm">
          <h2><?php echo ''.$serviceHeading; ?></h2>
        </div>
        <div class="col-md-8 title-companion">
          <div class=" call-to-action">
          	<?php if(!empty($servicePriceTable)){ ?>
          	<a href="#pricing"><?php echo ''.$serviceText; ?> <i class="fa fa-chevron-right"></i></a>
            <?php } ?>
          </div>
        </div>
      </div>
    </header>
    <?php the_content(); ?>
  </div>
  <div class="spacer-50"></div>
  <?php 
        $serviceTBImage = get_post_meta(get_the_ID(),'imic_service_t_image','true');
  	$serviceTNumbers = (int) get_post_meta(get_the_ID(),'imic_service_t_numbers','true');
  	if(!empty($serviceTBImage)){
	  $TBImageURL = wp_get_attachment_image_src( $serviceTBImage, 'full' );
	  $serviceTBImageURL = 'style="background-image:url(\''.$TBImageURL[0].'\')"';
    }else{
  	  $serviceTBImageURL =  '';	
    }
   	$testimonials_slider_speed= get_post_meta(get_the_ID(),'imic_testimonials_slider_speed',true);
  	$testimonials_slider_speed=!empty($testimonials_slider_speed)?$testimonials_slider_speed:5000;
   ?>
  <div class="lgray-bg parallax parallax4 padding-tb75" <?php echo ''.$serviceTBImageURL; ?>>
    <div class="container">
      <div class="row">
        <div class="col-md-8 col-md-offset-2">
          <ul id="sync1" class="owl-carousel testimonial" data-autoplay="<?php echo esc_attr($testimonials_slider_speed); ?>">
          	<?php  
                      $logos = ''; //For client logos
				if(!empty($serviceTNumbers)){
					/*** Start Testimonials ***/
					$Stemp_query = clone $wp_query;
					$args = array( 'order' => 'DESC', 'post_type' => 'testimonials', 'posts_per_page' => $serviceTNumbers, 'post_status' => 'publish');
					query_posts($args);
					if (have_posts()):
						while (have_posts()):the_post();
							$clientLogo = get_post_meta( get_the_ID(), 'imic_client_logo' );
							$clientLogo_attributes = wp_get_attachment_image_src( $clientLogo[0], 'client_logo' );
							?>
							<li class="item">
                              <?php if ( has_post_thumbnail()) : ?>
                              <div class="img-block">
                                <div class="shine"></div>
									<?php the_post_thumbnail('testimonial_thumb'); ?>
                              </div>
							  <?php endif; ?>
                              <blockquote>
                                <p><?php echo ''.$post->post_content; ?></p>
                                <cite>- <?php the_title(); ?></cite>
                              </blockquote>
                            </li>
							<?php
							if(!empty($clientLogo_attributes[0])){
								$logos .= '<li class="item"><img src="'.$clientLogo_attributes[0].'" alt="Img"></li>';		
							}else{
								$logos .= '<li class="item"></li>';
							}
						endwhile;
					endif;	
					$wp_query = clone $Stemp_query;
					/*** End Testimonials ***/
				}
			?>
          </ul>
          <ul id="sync2" class="owl-carousel client-logos">
          	<?php echo ''.$logos; ?>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <?php if(!empty($servicePriceTable)){ ?>
  <div class="container">
    <div class="row" id="pricing">
      <div class="col-md-12">
      	<?php imic_meta_content_filter($servicePriceTable); ?>
      </div>
    </div>
  </div>
  <?php } ?>
</section>
<!-- End Services --> 