<?php
/*
Template Name: Team
*/
$pageID = get_the_ID();
$options = get_option('imic_options');
$teamHeading_temp = get_post_meta(get_the_ID(),'imic_page_heading','true');
$teamText_temp = get_post_meta(get_the_ID(),'imic_page_text','true');
$teamHeading = (!empty($teamHeading_temp)) ?$teamHeading_temp : get_the_title() ; // Team Page Heading
$teamText = (!empty($teamText_temp))?$teamText_temp: __('Few code crazy passionate creatures', 'heylone') ; // Team Page Text
?>
<!-- Begin Team -->
<section class="pages lgray-bg" id="<?php echo basename(get_permalink()); ?>">
  <div class="container">
    <header class="pages-header clearfix">
      <div class="row">
        <div class="col-md-4">
          <hr class="sm">
          <h2><?php echo ''.$teamHeading; ?></h2>
        </div>
        <div class="col-md-8 title-companion"><?php echo ''.$teamText; ?></div>
      </div>
    </header>
    <?php 
                $teamMembers =(int) get_post_meta(get_the_ID(),'imic_team_page_members','true');
	        if(!empty($teamMembers)){
			/*** Start Team Members ***/
			$temp_query = clone $wp_query;
			$args = array( 'order' => 'ASC', 'post_type' => 'team', 'posts_per_page' => $teamMembers, 'post_status' => 'publish');
			query_posts($args);
			if (have_posts()):
				$flag = 0;
				$div_starts = $div_ends = array();
				for($i=1; $i<=$teamMembers; $i+=3)
				{
					array_push($div_starts,$i);
					array_push($div_ends,$i-1);
				}
				array_shift($div_ends);
				while (have_posts()):the_post();
					$flag++;
					$memberDesignation = get_post_meta(get_the_ID(),'imic_team_designation','true');
				        $memberFacebook = get_post_meta(get_the_ID(),'imic_team_facebook','true');
                                        $memberTwitter = get_post_meta(get_the_ID(),'imic_team_twitter','true');
                                        $memberDropbox = get_post_meta(get_the_ID(),'imic_team_dropbox','true');
                                        $memberDribbble = get_post_meta(get_the_ID(),'imic_team_dribbble','true');
					$memberGithub = get_post_meta(get_the_ID(),'imic_team_github','true');
				        $socialSiteIcons = array('fa-facebook-square', 'fa-twitter-square', 'fa-dropbox', 'fa-dribbble', 'fa-github-square');
					$memberSocialURL = array($memberFacebook, $memberTwitter, $memberDropbox, $memberDribbble, $memberGithub);
					$firstMember = (in_array($flag,$div_starts))? 'data-appear-animation="fadeInLeft" data-appear-animation-delay="1"' : '' ;
					$lastMember = (in_array($flag,$div_ends) || $flag==3)? 'data-appear-animation="fadeInRight" data-appear-animation-delay="1"' : '' ;
					if(in_array($flag,$div_starts)){ echo '<div class="row">'; }
					?>
					<div class="col-md-4 col-sm-4" <?php echo ''.$firstMember.''.$lastMember ?>>
						<div class="team-item">
						  <div class="team-image">
                          	 <?php
							 if ( has_post_thumbnail()) :
								the_post_thumbnail('team_members');
							 endif;
							 ?>
                          </div>
						  <span class="team-name"><?php the_title(); ?></span> <span class="team-position"><?php echo ''.$memberDesignation; ?></span>
						  <hr class="fw">
                          <?php $socialArrayValues = array_filter($memberSocialURL, 'strlen');
                          	$memberEmail = get_post_meta(get_the_ID(),'imic_team_email','true');
		          			$memberPhone = get_post_meta(get_the_ID(),'imic_team_phone','true');
						   if(!empty($socialArrayValues)||!empty($memberEmail)||!empty($memberPhone)){ ?>
						  <nav class="social-icons">
                          	<?php                    if(!empty($socialArrayValues)){
							$index = 0;
							foreach($memberSocialURL as $slink){
								if(!empty($slink)){
									echo '<a href="'.$slink.'"><i class="fa '.$socialSiteIcons[$index].'"></i></a>';
								}				
								$index++;	
                                                 }}
                                                  if(!empty($memberEmail)){
                                                             echo'<a href="mailto:'.$memberEmail.'"  data-toggle="tooltip" data-original-title="'.$memberEmail.'"><i class="fa fa-envelope"></i></a>';
                                                         }
                                                          if(!empty($memberPhone)){
                                                             echo'<span  data-toggle="tooltip" data-original-title="'.$memberPhone.'"> <i class="fa fa-phone"></i></span>';
                                                         }
							?>
                          </nav>
                          <?php } ?>
						</div>
					</div> 
					<?php
					if(in_array($flag,$div_ends) || $flag == $teamMembers){ echo '</div>'; }
					
				endwhile;
			endif;	
			$wp_query = clone $temp_query;
			/*** End Team Members ***/
		}
    ?>
  </div>
  <div class="spacer-100"></div>
  <?php
  $teamTBImage = get_post_meta($pageID,'imic_team_tb_image','true');
  if(!empty($teamTBImage)){
	  $TBImageURL = wp_get_attachment_image_src( $teamTBImage, 'full' );
	  $teamTBImageURL = 'style="background-image:url(\''.$TBImageURL[0].'\')"';
  }else{
  	  $teamTBImageURL =  '';	
  }
  global $imic_options;
  ?>  
  <div class="parallax parallax3" <?php echo ''.$teamTBImageURL; ?> id="tweets"> <span class="icon-box">
	  <svg xmlns="http://www.w3.org/2000/svg" shape-rendering="geometricPrecision" text-rendering="geometricPrecision" image-rendering="optimizeQuality" fill-rule="evenodd" clip-rule="evenodd" viewBox="0 0 512 509.64">
		  <path fill="#fff" fill-rule="nonzero" d="M323.74 148.35h36.12l-78.91 90.2 92.83 122.73h-72.69l-56.93-74.43-65.15 74.43h-36.14l84.4-96.47-89.05-116.46h74.53l51.46 68.04 59.53-68.04zm-12.68 191.31h20.02l-129.2-170.82H180.4l130.66 170.82z"/></svg>
	  </span>
    <div class="overlay-transparent padding-tb100">
      <div class="container">
        <div class="row">
          <div class="col-lg-12 text-align-center">
            <?php if (isset($options['twitter-handle']) && $options['twitter-handle'] != "") {?><a href="<?php if (isset($options['twitter-handle-url']) && $options['twitter-handle-url'] != "") { echo $options['twitter-handle-url']; } else { echo 'https://twitter.com/'.$options['twitter-handle']; } ?>" class="btn btn-primary btn-lg" target="_blank">@<?php if (isset($options['twitter-handle']) && $options['twitter-handle'] != "") { echo $options['twitter-handle']; } ?></a><?php } ?>
		  </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- End Team --> 