<?php
	/* ==================================================
	Portfolio Post Type Functions
	================================================== */
     add_action('init', 'core_portfolio_register');  
	 function core_portfolio_register() {	
        $args_c = array(
	    "label" 						=> __('Portfolio Tags',"heylone-core"), 
	    "singular_label" 				=> __('Portfolio Tag',"heylone-core"), 
	    'public'                        => true,
	    'hierarchical'                  => false,
	    'show_ui'                       => true,
	    'show_in_nav_menus'             => false,
	    'args'                          => array( 'orderby' => 'term_order' ),
	    'rewrite'                       => false,
	    'query_var'                     => true
	);
	register_taxonomy( 'portfolio-category', 'portfolio', $args_c);	
	$labels = array(
	        'name' => __('Portfolio', 'heylone-core'),
	        'singular_name' => __('Portfolio Item', 'heylone-core'),
	        'add_new' => __('Add New', 'heylone-core'),
	        'add_new_item' => __('Add New Portfolio Item', 'heylone-core'),
	        'edit_item' => __('Edit Portfolio Item', 'heylone-core'),
	        'new_item' => __('New Portfolio Item', 'heylone-core'),
	        'view_item' => __('View Portfolio Item', 'heylone-core'),
	        'search_items' => __('Search Portfolio', 'heylone-core'),
	        'not_found' =>  __('No portfolio items have been added yet', 'heylone-core'),
	        'not_found_in_trash' => __('Nothing found in Trash', 'heylone-core'),
	        'parent_item_colon' => ''
	    );
		
	    $args = array(  
	        'labels' => $labels,  
	        'public' => true,  
	        'show_ui' => true,
	        'show_in_menu' => true,
			'menu_icon' => 'dashicons-category',
	        'show_in_nav_menus' => false,
	        'hierarchical' => false,
	        'supports' => array('title', 'editor', 'thumbnail'),
	        'has_archive' => true
	       );  
	  
	    register_post_type( 'portfolio' , $args );  
            register_taxonomy_for_object_type('portfolio-category','portfolio');
	}  
	
	add_filter("manage_edit-portfolio_columns", "core_portfolio_edit_columns");   
	  
	function core_portfolio_edit_columns($columns){  
	        $columns = array(  
	            "cb" => "<input type=\"checkbox\" />",  
	            "title" => __("Portfolio Item", 'heylone-core'),
	            "portfolio-category" => __("Tags", 'heylone-core'),
	            "date" => __("Date", 'heylone-core') 
	        );  
	  
	        return $columns;  
	}
?>